package com.sample;

import org.drools.runtime.StatefulKnowledgeSession;
import org.jbpm.process.workitem.wsht.LocalHTWorkItemHandler;
import org.jbpm.task.TaskService;

import com.oct.common.WorkflowConstants;
import com.oct.common.jbpm.JbpmInfo;

public class SelfRegisteringLocalHTHandler extends LocalHTWorkItemHandler {

    public SelfRegisteringLocalHTHandler(TaskService client,
    		StatefulKnowledgeSession session,org.jbpm.task.service.TaskService taskService) {
    	super(session);
        this.setClient(client);
        session.getWorkItemManager().registerWorkItemHandler("Human Task", this);
		JbpmInfo jbpmInfo = new JbpmInfo();
		jbpmInfo.setsHumanTaskHandler(this);
		jbpmInfo.setsSession(session);
		WorkflowConstants.initWorkService(client, taskService.createTaskAdmin(),jbpmInfo);
    }

}
